[Snort-users] Help : Snort 2.0 + Mysql Support troubles (Yes again...)

SouchMan NuxBox souchman at ...9647...
Tue Jul 15 07:59:02 EDT 2003


Hello all !

In firts please escuse my poor english : i'm french.

I'v got the same problem than some other post : 
I can't use the --with-mysql=<patch> with success ...

My MySql Database Work Fine, i'v got my libmysqlclient.so.10.0.0 file here = /usr/lib/mysql
but when i launch the compillation i'got these : 


./configure --with-mysql=/usr/lib/mysql | grep mysql
checking for mysql... no

:-(

and fataly i'v got this error if i try to launch Snort :

#######################################################
database: configured to use mysql
database: 'mysql' support is not compiled into this build of snort

ERROR: If this build of snort was obtained as a binary distribution (e.g., rpm,
or Windows), then check for alternate builds that contains the necessary
'mysql' support.
#######################################################

Same if i do "--with-mysql=/usr" or "/usr/lib" ....

I think /usr/lib/mysql is realy the right folder, because i have only 1 mysql databse installed and not any other libmysqlclient.so.10.0.0 anywhere.

Could someone Explain me (slowly and whith simple words ;-) please )
the way to resolve this problem if its possible ?

Thanks to All !

Souch.

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.snort.org/pipermail/snort-users/attachments/20030715/d3120c5a/attachment.html>


More information about the Snort-users mailing list